Name:           qtpass
Version:        1.2.3
Release:        1%{?dist}
Summary:        Cross-platform GUI for pass

License:        GPLv3
URL:            https://qtpass.org/
Source0:        https://github.com/IJHack/qtpass/archive/v%{version}.tar.gz


# required tools
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  git
# required libraries (QT)
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-linguist
BuildRequires:  pkgconfig(Qt5Svg)
# install/check desktop files
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
# for ownership of hicolor directories
Requires:       hicolor-icon-theme
# for icons to appear without freedesktop
Requires:       qt5-qtsvg
Requires:       pass

Requires:       git
Requires:       gnupg2
Requires:       pwgen

%description
QtPass is a cross-platform GUI for pass, the standard Unix password manager.

%prep
%autosetup -S git -n QtPass-%{version}
sed -i '/project_group/d' %{name}.appdata.xml


%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build


%install
%make_install INSTALL_ROOT=%{buildroot}
desktop-file-install %{name}.desktop
install -Dpm 644 artwork/icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/qtpass-icon.svg
install -Dpm 644 %{name}.appdata.xml %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml
install -Dpm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml

%files
%doc README.md
%license LICENSE
%{_bindir}/qtpass
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}-icon.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Jun 05 2018 Dave Olsthoorn - 1.2.3-1
- new version, changelog: https://github.com/IJHack/qtpass/releases/tag/v1.2.3

* Thu May 10 2018 Dave Olsthoorn <dave@bewaar.me> - 1.2.2-1
- new version upstream

* Sun Feb 18 2018 Dave Olsthoorn <dave@bewaar.me> - 1.2.1-3
- add gcc-c++ to buildrequires
- initial build for EPEL 7

* Fri Feb 02 2018 Dave Olsthoorn <dave@bewaar.me. - 1.2.1-1
- new version fixing a critical bug in password generation
  https://github.com/IJHack/QtPass/issues/338

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.0-2
- Remove obsolete scriptlets

* Thu Nov 09 2017 Dave Olsthoorn <dave@bewaar.me> - 1.2.0-1
- new version

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 03 2016 Dave Olsthoorn <dave@bewaar.me> - 1.1.6-1
- new version, changelog: https://github.com/IJHack/qtpass/releases/tag/v1.1.6

* Wed Sep 28 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.4-1
- new version, changelog: https://github.com/IJHack/qtpass/releases/tag/v1.1.4

* Thu Jun 16 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.3-2
- install upstream manpage

* Wed Jun 15 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.3-1
- version bump
- add qt5-qtsvg as runtime dependency

* Sun May 22 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.1-3
- add appstream data file

* Sat Apr 23 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.1-2
- require hicolor

* Thu Apr 14 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.1-1
- new version
- Change license field to GPLv3 instead of GPL-3.0
- Fix require for pass
- Add icon cache scriplets

* Fri Apr  1 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com>
- Initial spec file
